package cn.rankin.apiweb.service.event;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.user.dto.EventLogDTO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class EventService {

    @Autowired
    private EventClient eventClient;

    public APIResult<Boolean> addLog(EventLogDTO eventLogDTO) {
        return eventClient.addLog(eventLogDTO);
    }
}
